#include <stdint.h>
#include "system.h"
#include "gdt.h"
#include "idt.h"
#include "isrs.h"
#include "irq.h"
#include "timer.h"
#include "kb.h"
//
//
void kmain(void)
{
	extern uint32_t magic;
	
	// Various behind the scenes initliazations..
	gdt_install();
	idt_install();
	isr_install();
	irq_install();
	//
	
	timer_install();
	kb_install();
	
	init_video();
	setColour(7);
	if ( magic != 0x2BADB002 )
	{
		
	}
	timer_install();
	
	puts("Hello world!\n");
}
